import React, { useState } from "react";
import "./style/modal.css";
import SelectPayment from "./SelectPayment";
import { useMakePaymentMutation, useValidatePaymentLinkQuery } from "../../service/service";
import { useAppSelector } from "../../app/hook";
import { useAppDispatch } from "../../app/hook";
import { transactionResult } from "../../features/checkoutReducer";
import { Form, Row, Col, Select, Avatar, Spin } from "antd";
const Modal = setShow => {
  const dispatch = useAppDispatch();
  const id = "l2O78h1uUxi6ZIQwdP2DTH7IWi6ydmAQggf6";
  const {
    data,
    error,
    isFetching,
    isLoading,
    isSuccess
  } = useValidatePaymentLinkQuery(id);
  const [loading, setLoading] = useState(false);
  const [showWalletConnet, setShowWalletConnect] = useState(false);
  const [showWalletOption, setShowWalletOption] = useState(false);
  const [paymentLoading, setPaymentLoading] = useState(false);
  const [initiateTransaction] = useMakePaymentMutation();
  const [transactionValue, setTransactionValue] = useState();
  const [form] = Form.useForm();
  async function sendPayment(
  // option: "solana" | "wallet-connect",
  retry = false) {
    // setPaymentLoading(true);
    setShowWalletOption(false);
    if (retry) setLoading(true);
    try {
      let res = await initiateTransaction({
        data: transactionValue,
        id: data?.data.uuid
      }).unwrap();
      dispatch(transactionResult(res.data));
      // if (option === "wallet-connect") setShowWalletConnect(true);
    } catch (err) {
      console.log(err);
      if (err) {
        const errMsg =
        //@ts-ignore
        "error" in err ? err.error : JSON.stringify(err.data?.message);
        // notification.error({
        //   message: errMsg,
        // });
      } else if (err) {
        console.log(err);
      }
    }
    setPaymentLoading(false);
    setLoading(false);
  }
  const fundData = !!data && data.data;
  console.log("Data>>", fundData);
  const cancelHandler = () => {
    setShow(false);
  };
  async function onConfirm(values) {
    setShowWalletOption(true);
    delete values.amount;
    console.log("Val>>>", values);
    setTransactionValue(values);
  }
  const {
    transactionResponse
  } = useAppSelector(s => s.checkout);
  console.log(">>>", transactionResponse);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: "modal_payment"
  }, showWalletOption === true ? /*#__PURE__*/React.createElement("div", {
    className: "select_payment_modal"
  }, /*#__PURE__*/React.createElement(SelectPayment, null)) : null, /*#__PURE__*/React.createElement(Form, {
    form: form,
    onFinish: onConfirm
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal_title"
  }, "Ivory Fund with Crypto"), /*#__PURE__*/React.createElement("div", {
    className: "modal_name"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: "modal_text"
  }, "First name"), /*#__PURE__*/React.createElement("input", {
    type: "text"
  })), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: "modal_text"
  }, "Last name"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
    type: "text"
  })))), /*#__PURE__*/React.createElement("div", {
    className: "email_input"
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal_text",
    style: {
      paddingBottom: "7px"
    }
  }, "Email Address"), /*#__PURE__*/React.createElement("input", {
    type: "text"
  })), /*#__PURE__*/React.createElement("div", {
    className: "select_coin",
    style: {
      paddingTop: "15px"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      paddingBottom: "7px"
    },
    className: "modal_text"
  }, "Select Coin"), /*#__PURE__*/React.createElement("select", null, /*#__PURE__*/React.createElement("option", {
    value: "USDC"
  }, "USDC"), /*#__PURE__*/React.createElement("option", {
    value: "USDT"
  }, "USDT"))), /*#__PURE__*/React.createElement("div", {
    className: "email_input",
    style: {
      paddingTop: "15px"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      paddingBottom: "7px"
    }
  }, "Amount"), /*#__PURE__*/React.createElement("input", {
    type: "text",
    value: !!fundData && `${fundData.baseFiat} ${fundData.amount}`,
    disabled: true
  })), /*#__PURE__*/React.createElement("div", {
    className: "payment_btn_sections"
  }, /*#__PURE__*/React.createElement("input", {
    type: "submit",
    className: "payment_btn"
  }, "Make Payment")), /*#__PURE__*/React.createElement("div", {
    onClick: cancelHandler,
    style: {
      cursor: "pointer"
    }
  }, "Close"))));
};
export default Modal;