import React, { useState } from "react";
import "./style/modal.css";
import SelectPayment from "./SelectPayment";
import {
  useMakePaymentMutation,
  useValidatePaymentLinkQuery,
} from "../../service/service";
import { useAppSelector } from "../../app/hook";
import { useAppDispatch } from "../../app/hook";
import { transactionResult } from "../../features/checkoutReducer";
import { Form, Row, Col, Select, Avatar, Spin } from "antd";

const Modal = (setShow) => {
  const dispatch = useAppDispatch();

  const id = "l2O78h1uUxi6ZIQwdP2DTH7IWi6ydmAQggf6";
  const {
    data,
    error,
    isFetching,
    isLoading,
    isSuccess,
  } = useValidatePaymentLinkQuery(id);
  const [loading, setLoading] = useState(false);
  const [showWalletConnet, setShowWalletConnect] = useState(false);
  const [showWalletOption, setShowWalletOption] = useState(false);
  const [paymentLoading, setPaymentLoading] = useState(false);
  const [initiateTransaction] = useMakePaymentMutation();
  const [transactionValue, setTransactionValue] = useState();
  const [form] = Form.useForm();
  
  async function sendPayment(
    // option: "solana" | "wallet-connect",
    retry = false
  ) {
    // setPaymentLoading(true);
    setShowWalletOption(false);
    if (retry) setLoading(true);
    try {
      let res = await initiateTransaction({
        data: transactionValue,
        id: data?.data.uuid,
      }).unwrap();
      dispatch(transactionResult(res.data));
      // if (option === "wallet-connect") setShowWalletConnect(true);
    } catch (err) {
      console.log(err);
      if (err) {
        const errMsg =
          //@ts-ignore
          "error" in err ? err.error : JSON.stringify(err.data?.message);
        // notification.error({
        //   message: errMsg,
        // });
      } else if (err) {
        console.log(err);
      }
    }
    setPaymentLoading(false);
    setLoading(false);
  }
  const fundData = !!data && data.data;
  console.log("Data>>", fundData);

  const cancelHandler = () => {
    setShow(false);
  };
  async function onConfirm(values) {
    setShowWalletOption(true);
    delete values.amount;
    console.log("Val>>>", values);
    setTransactionValue(values);
  }
  const { transactionResponse } = useAppSelector((s) => s.checkout);
  console.log(">>>", transactionResponse);
  return (
    <div>
      <div className="modal_payment">
        {showWalletOption === true ? (
          <div className="select_payment_modal">
            <SelectPayment />
          </div>
        ) : null}
        <Form form={form}  onFinish={onConfirm} >
          <div className="modal_title">Ivory Fund with Crypto</div>
          <div className="modal_name">
            <div>
              <div className="modal_text">First name</div>
              <input type="text" />
            </div>
            <div>
              <div className="modal_text">Last name</div>
              <div>
                <input type="text" />
              </div>
            </div>
          </div>
          <div className="email_input">
            <div className="modal_text" style={{ paddingBottom: "7px" }}>
              Email Address
            </div>
            <input type="text" />
          </div>
          <div className="select_coin" style={{ paddingTop: "15px" }}>
            <div style={{ paddingBottom: "7px" }} className="modal_text">
              Select Coin
            </div>
            <select>
              <option value="USDC">USDC</option>
              <option value="USDT">USDT</option>
            </select>
          </div>
          <div className="email_input" style={{ paddingTop: "15px" }}>
            <div style={{ paddingBottom: "7px" }}>Amount</div>
            <input
              type="text"
              value={!!fundData && `${fundData.baseFiat} ${fundData.amount}`}
              disabled
            />
          </div>
          <div className="payment_btn_sections">
            <input type="submit" className="payment_btn">
              Make Payment
            </input>
          </div>
          <div onClick={cancelHandler} style={{ cursor: "pointer" }}>
            Close
          </div>
        </Form>
      </div>
    </div>
  );
};
export default Modal;
