import React, { useState } from "react";
import "./style/selectPayment.css";
import WalletConnect from "./WalletConnect";
import CryptoTransfer from "./CryptoTransfer";

const SelectPayment = () => {
  //   const CloseBtn = "../../assets/closebtn.svg";
  //   const Transfer = "../../assets/transfer.svg";
  //   const Wallet = "../../assets/wallet.svg";
  const [cryptoTransfer, setCryptoTransfer] = useState(false);
  const [wallet, setWallet] = useState(false);
  const selectTransfer = () => {
    console.log("selectTransfer");
    setCryptoTransfer(true)
  };
  const selectWallet = () => {
    console.log("selectWallet");
    setWallet(true)
  };
  return (
    <div>
      <div className="wallet_modal">
        {wallet === true ? (
          <div >
            <WalletConnect setCryptoTransfer={setCryptoTransfer} />
          </div>
        ) : null}
      </div>
      <div className="transfer_modal">
        {cryptoTransfer === true ? (
          <div>
            <CryptoTransfer setCryptoTransfer={setCryptoTransfer} />
          </div>
        ) : null}
      </div>

      <div className="select_payment">
        <div className="payment_header">
          <div className="payment_header_text">Payment with</div>
          <img src="../../assets/closebtn.svg" alt="CloseBtn" />
        </div>
        <div className="transfer" onClick={selectTransfer}>
          <div className="transfer_badge">
            <img src="../../assets/transfer.svg" alt="Transfer" />
          </div>
          <div className="transfer_txt">
            <div className="transfer_title">Crypto transfer</div>
            <div className="transfer_text">
              Send crypto-currency on the solana network to the business’s
              wallet address.
            </div>
          </div>
        </div>
        <div className="wallet" onClick={selectWallet}>
          <div className="wallet_badge">
            <img src="../../assets/wallet.svg" alt="wallet" />
          </div>
          <div className="">
            <div className="wallet_title">Wallet connect</div>
            <div className="wallet_text">
              Connect your Slope, Phantom and other wallets to pay with ease.
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default SelectPayment;
